require 'dream'
module Slipspace
  class Stream
    def initialize(stream, dream)
      @spectre = Dream::Spectre.new(dream)
    end
    def throttle()
      @spectre.record_start()
      @spectre.record(@spectre.info, 'Entering slipspace')
      @spectre.record(@spectre.info, 'Nothing can be seen')
      @spectre.record(@spectre.success, 'Exiting slipspace')
      @spectre.record_finished()
      @spectre.record(@spectre.info, '[================]')
      @spectre.record(@spectre.started, "#{@spectre.started}")
      @spectre.record(@spectre.finished, "#{@spectre.finished}")
    end
    def drop()
      return @spectre.manuscript()
    end
  end
end
